spotri.f(3)

NAME
spotri.f -

SYNOPSIS

  Functions/Subroutines
subroutine spotri (UPLO, N, A, LDA, INFO)
SPOTRI

Function/Subroutine Documentation

  subroutine spotri (characterUPLO, integerN, real, dimension( lda, * )A, integerLDA, integerINFO)

SPOTRI

Purpose:

     SPOTRI computes the inverse of a real symmetric positive definite
     matrix A using the Cholesky factorization A = U**T*U or A = L*L**T
     computed by SPOTRF.

Parameters:
    UPLO

              UPLO is CHARACTER*1
              = 'U':  Upper triangle of A is stored;
              = 'L':  Lower triangle of A is stored.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    A

              A is REAL array, dimension (LDA,N)
              On entry, the triangular factor U or L from the Cholesky
              factorization A = U**T*U or A = L*L**T, as computed by
              SPOTRF.
              On exit, the upper or lower triangle of the (symmetric)
              inverse of A, overwriting the input factor U or L.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,N).

    INFO

              INFO is INTEGER
              = 0:  successful exit
              < 0:  if INFO = -i, the i-th argument had an illegal value
              > 0:  if INFO = i, the (i,i) element of the factor U or L is
                    zero, and the inverse could not be computed.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Definition at line 96 of file spotri.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.